# AccountsResource

Canonical page: https://docs.ovok.com/java-sdk/reference/accounts-resource

```java
public final class AccountsResource
```

Lists Ovok accounts. Get it from [`Ovok.accounts()`](/java-sdk/reference/ovok#accounts).

## Methods [#methods]

### list [#list]

```java
public JsonNode list() throws IOException, InterruptedException
```

Lists the accounts the caller can see (`GET /accounts`).

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response

```java
public JsonNode list(RequestOptions options) throws IOException, InterruptedException
```

Lists the accounts the caller can see (`GET /accounts`).

**Parameters:**

- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response
